Skip to main content
POST
/
tools
/
vehicle-history-finder
/
plate-fr
curl --request POST \
  --url https://api.osint.ly/tools/vehicle-history-finder/plate-fr \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "value": "AB-123-CD",
  "type": "plate_fr"
}
'
{
  "tool": "vehicle-history-finder",
  "operation": "vin",
  "query": {
    "value": "1HGCM82633A004352",
    "type": "vin"
  },
  "data": {
    "vehicle": {
      "found": true,
      "presentation": {
        "title": "Honda Accord 2003",
        "make": "Honda",
        "model": "Accord",
        "year": 2003,
        "bodyClass": "Sedan",
        "engine": "2.4L L4"
      }
    },
    "castrol": {
      "metadata": null
    },
    "nhtsa": {
      "recalls": [],
      "complaints": [],
      "safetyRatings": []
    }
  },
  "meta": {
    "timestamp": "2026-06-28T12:00:00.000Z"
  }
}
{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request body",
"details": [
{
"path": "value",
"message": "Invalid value"
}
]
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}
{
"error": {
"code": "PROVIDER_UNAVAILABLE",
"message": "Provider unavailable",
"details": "A required enrichment source is unavailable for this operation"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
value
string
required

VIN or French license plate to validate or enrich.

Examples:

"AB-123-CD"

"1HGCM82633A004352"

type
enum<string>
required

Canonical type or accepted alias.

Available options:
vin,
plate_fr,
plate,
plaque,
plaque_fr,
license_plate_fr,
french_plate,
immatriculation
Example:

"plate_fr"

save
boolean
default:false

Only used on /all. When true, saves the synchronous result for later retrieval.

Response

Vehicle history finder response

data
object
required
meta
object
required
operation
string
required
query
object
required
tool
enum<string>
required
Available options:
vehicle-history-finder